<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" class="h-100">
<head>
    <title th:text="${'University: ' + university.name}"></title>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#7952b3">
	<link rel="icon" href="/assets/icons/favicon.ico" type="image/x-icon"/>

	<!-- Bootstrap core CSS -->
	<link href="/assets/css/bootstrap.min.css" rel="stylesheet">

	<style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      main > .container {
		padding: 60px 15px 0;
	  }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>


</head>
<body class="d-flex flex-column h-100">

	<header>
	  <!-- Fixed navbar -->
	  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
	    <div class="container-fluid">
	      <a class="navbar-brand" href="/">Paper App</a>
	      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarCollapse">
	        <ul class="navbar-nav me-auto mb-2 mb-md-0">
	          
	        </ul>
	        <div class="d-flex">
	        	<ul class="navbar-nav me-auto mb-2 mb-md-0">
	          		<li class="nav-item">
	            		<a class="nav-link" href="/papers">Papers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/authors">Authors</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/reviewers">Reviewers</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/universities">Universities</a>
					</li>
					  
	        	</ul>

	        </div>
	      </div>
	    </div>
	  </nav>
	</header>









	<!-- Begin page content -->
	<main class="flex-shrink-0">
		<div class="container">
		  
		  <h1 class="mt-5" th:text="${university.getName()}"></h1>
  
		  <div class="card" >
			  <ul class="list-group list-group-flush">
				  <li class="list-group-item">
					  <div class="row">
						  <div class="col-md-3 to-bigger">Name</div>
						  <div class="col-md-9 to-bigger"><span th:text="${university.getName()}"></span></div>
					  </div>
				  </li>
				  <li class="list-group-item">
					  <div class="row">
						  <div class="col-md-3 to-bigger">Country</div>
						  <div class="col-md-9 to-bigger"><span th:text="${university.getCountry()}"></span></div>
					  </div>
				  </li>
				  <li class="list-group-item">
					  <div class="row">
						  <div class="col-md-3 to-bigger">City</div>
						  <div class="col-md-9 to-bigger"><span th:text="${university.getCity()}"></span></div>
					  </div>
				  </li>
				  
				  <li class="list-group-item">
					  <div class="row">
						  <div class="col-md-3 to-bigger">People</div>
						  <div class="col-md-9">
  
							  <table class="table">
								  <thead>
									  <tr>
										  <th scope="col">Name</th>
										  <th scope="col">Surname</th>
										  <th scope="col">Birth</th>
										  <th scope="col">Role</th>
										  <th scope="col"></th>
									  </tr>
								  </thead>
								  <tbody>
					  
									  <tr th:each="person : ${university.getPeople()}">
  
										  <td th:text="${person.getName()}"></td>
										  <td th:text="${person.getSurname()}"></td>
										  <td th:text="${person.getBirth()}"></td>
										  <td th:text="${person.getType().substring(0, 1).toUpperCase() + person.getType().substring(1)}"></td>
										  <td>
											  <div style="float: right;">
												<a th:if="${person.getType() == 'author'}" th:href="@{/authors/{id}(id = ${person.getId()})}" class="btn btn-primary">Go</a>
												<a th:if="${person.getType() == 'reviewer'}" th:href="@{/reviewers/{id}(id = ${person.getId()})}" class="btn btn-primary">Go</a>

												<form action="#" th:action="@{/delete_university_person/{id}(id = ${university.getId()})}" method="post" style="float:right;margin-left:5px;">
													<input type="hidden" id="person" name="idPerson" th:value="${person.getId()}">
													<button type="submit" class="btn btn-danger">Remove</button>
												</form>
											  </div>
										  </td>
					  
									  </tr>
					  
								  </tbody>
							  </table>

							  <div class="d-grid gap-2">
								<a th:href="@{/universities/add_person/{id}(id = ${university.getId()})}" class="btn btn-secondary btn-block">Add a person</a>
							  </div>
  
						  </div>
					  </div>
				  </li>

				  <li class="list-group-item">
					<div class="row">
						<div class="col-md-3 to-bigger">Published papers</div>
						<div class="col-md-9">

							<table class="table">
								<thead>
									<tr>
										<th scope="col">DOI</th>
										<th scope="col">Title</th>
										<th scope="col">Pubblication Date</th>
										<th scope="col"></th>
									</tr>
								</thead>
								<tbody>
					
									<tr th:each="paper : ${papers}">

										<td th:text="${paper.getDoi()}"></td>
										<td th:text="${paper.getTitle()}"></td>
										<td th:text="${paper.getPubDate()}"></td>
										<td>
											<div style="float: right;">
												<a th:href="@{/papers/{id}(id = ${paper.getId()})}" class="btn btn-primary">Go</a>
											</div>
										</td>
					
									</tr>
					
								</tbody>
							</table>

						</div>
					</div>
				</li>
				  
			  </ul>
  
		  </div>
  
		  
		</div>
	  </main>











	<footer class="footer mt-auto py-3 bg-light">
	  <div class="container">
	    <span class="text-muted">Made with ❤️ by <a href="https://github.com/derogab">@derogab</a>, <a href="https://github.com/dlcgold">@dlcgold</a> and <a href="https://github.com/fdila">@fdila</a>.</span>
	  </div>
	</footer>

	<script src="/assets/js/bootstrap.bundle.min.js"></script>

</body>
</html>
